Summary:	Linux/Unix tool suite for Nokia mobile phones
Summary(pl):	Linuksowy/uniksowy zestaw narzdzi dla telefonw komrkowych Nokia
Name:		gammu
Version:	1.01.0
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.mwiacek.com/zips/gsm/gammu/stable/1_0x/%{name}-%{version}.tar.gz
# Source0-md5:	1ae9d7d51158c9f0cb5d3b25e7e7e1e1
Patch0:		%{name}-etc_dir.patch
Patch1:		%{name}-no_nss.patch
Patch2:		%{name}-sparc-speeds.patch
URL:		http://www.gammu.net/
BuildRequires:	autoconf
BuildRequires:	bluez-libs-devel
BuildRequires:	mysql-devel
Provides:	mygnokii2
Obsoletes:	mygnokii2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gammu (formerly known as MyGnokii2) is cellular manager for various
mobile phones and modems. It currently supports Nokia 3210, 33xx,
3410, 3510, 51xx, 5210, 5510, 61xx, 62xx, 63xx, 6510, 7110, 82xx,
8310, 9110, and 9210, and AT devices (such as Siemens, Alcatel,
WaveCom, IPAQ, and other). It has a command line version with many
functions for ringtones, phonebook, SMS, logos, WAP, date/time, alarm,
calls, etc. It can also make full backups and restore them.

%description -l pl
Gammu (poprzednio znany jako MyGnokii2) jest narzdziem do zarzdzania
rnymi telefonami komrkowymi i modemami. Aktualnie obsuguje Nokie
3210, 33xx, 3410, 51xx, 5210, 5510, 61xx, 62xx, 63xx, 6510, 7110,
82xx, 8310, 9110 i 3210 oraz urzdzenia AT (takie jak Siemens,
Alcatel, WaveCom, IPAQ i inne). Ma wersj dziaajc z linii polece z
wieloma funkcjami do dzwonkw, ksiki telefonicznej, SMS-w, logo,
WAP, daty/czasu, budzika, dzwonienia itp. Moe take wykonywa pene
kopie zapasowe danych i odtwarza je.

%prep
%setup -q
#%patch0 -p1
%patch1
%ifarch sparc
%patch2 -p1
%endif

%build
cd cfg/autoconf
%{__autoconf}
%configure \
	--disable-static \
	--enable-cb \
	--enable-7110incoming \
	--enable-6210calendar 		
cd ../..	
%{__make} shared

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_examplesdir}/%{name}}
%{__make} installshared \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	INSTALL_LIB_DIR=%{_libdir} \
	INSTALL_MAN_DIR=%{_mandir}/man1 \
	FIND=/usr/bin/find

install docs/examples/config/gammurc $RPM_BUILD_ROOT%{_sysconfdir}
cp -r docs/{examples,develop} $RPM_BUILD_ROOT%{_examplesdir}/%{name}

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
# anybody feels like developing gammu-based apps?
rm -rf $RPM_BUILD_ROOT{%{_includedir},%{_libdir}/*.{so,a}}
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig # yes, not pkgconfigdir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc changelog docs/* readme.txt
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/*.so.*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/gammurc
%{_datadir}/%{name}
%{_examplesdir}/%{name}
%{_mandir}/man1/*
